commit:     d9ed3e867ee07ac2b29ab0db3a6e318e047cf6d8
Author:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Sun Mar 21 11:26:51 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 27 16:42:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9ed3e86

media-libs/libpgf: version 7.21.7

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libpgf/Manifest             |  1 +
 media-libs/libpgf/libpgf-7.21.7.ebuild | 41 ++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/media-libs/libpgf/Manifest b/media-libs/libpgf/Manifest
index 2b74db9e51f..171990c0cdb 100644
--- a/media-libs/libpgf/Manifest
+++ b/media-libs/libpgf/Manifest
@@ -1 +1,2 @@
 DIST libpgf-7.19.3.zip 1303189 BLAKE2B 
129ec655241f0a152814b412c1ee5d40fc5b89daef172d1e73985e49f8ffec22ce87c6aa893dbf330b5176370d985ffd0c6a015adfbb9faf72131bc63cf0c94d
 SHA512 
68f9734b51372f7bb39b35cf99425bac6f9cf29f0351dba8813742c41f62f394798c92f674803d1315456a9337c7af03479d43455a9e611c07f5cf47ab3e5b58
+DIST libpgf-7.21.7.zip 2075722 BLAKE2B 
31c5ab5930ef5658ca9b320fa3df94b7d8566467a657df6d255781664a4750d6b5cb7b351c828cad7c60b42f8cb8926c51bb0271d5c51e2484426a15f18b5eb2
 SHA512 
dbc17d9dce1afbeffb272df0d573059914d2ac79d652d1d43e67c49509fd6e643be8594bbd1a3058a5aa3a9d30db100c6dcf641051345049cf8f9375d49e2799

diff --git a/media-libs/libpgf/libpgf-7.21.7.ebuild 
b/media-libs/libpgf/libpgf-7.21.7.ebuild
new file mode 100644
index 00000000000..af235625eec
--- /dev/null
+++ b/media-libs/libpgf/libpgf-7.21.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools edos2unix
+
+DESCRIPTION="Library to load, handle and manipulate images in the PGF format"
+HOMEPAGE="https://www.libpgf.org/";
+SRC_URI="https://downloads.sourceforge.net/project/libpgf/libpgf/${PV}/libpgf.zip
 -> ${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+BDEPEND="
+       app-arch/unzip
+       doc? ( app-doc/doxygen )"
+
+S="${WORKDIR}/libpgf"
+
+src_prepare() {
+       default
+
+       # configure.ac has wrong version number
+       sed -i "s/7.15.32/${PV}/g" configure.ac || die
+
+       # many files, including configure.ac and Makefile.am, are saved in dos 
format, causing errors in autotools
+       edos2unix *.{am,ac,in,sh} */*.{am,in}
+
+       if ! use doc; then
+               sed -i -e "/HAS_DOXYGEN/{N;N;d}" Makefile.am || die
+       fi
+
+       eautoreconf
+}
+
+src_configure() {
+       econf --disable-static
+}

Reply via email to